Bug 91 - smb_probe_module() fails for modules which registers more then under one name
smb_probe_module() fails for modules which registers more then under one name
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.0preX
Other other
: P2 normal
: none
Assigned To: Jelmer Vernooij
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-19 03:23 UTC by Stefan Metzmacher
Modified: 2005-08-24 10:17 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2003-05-19 03:23:55 UTC
we have many modules which are regestring more then one name.

e.g.
pdb_ldap: "ldapsam" ,"ldapsam_compat"
auth_sam: "sam","samstrict"
...

if someone build pdb_ldap, auth_sam or ... as shared modules

he *HAVE* isn't able to load this modules...

because there's no $libdir/pdb/ldapsam_compat.so file
or $libdir/auth/samstrict.so file...


The only thing that would work is to use the 'preload modules' parameter,
but the preload modules are only loaded by smbd for now.

so pdbedit or something like that will fail to load ldapsam_compat!!!

I would preferr to install symlinks for this places...

I think its a *must* to fix that before 3_0!

metze
Comment 1 Gerald (Jerry) Carter 2003-05-21 10:56:42 UTC
Should be a higher priority to get this working.  Note that
statically built modules are ok.
Comment 2 Gerald (Jerry) Carter 2003-05-22 08:32:03 UTC
installation issue
Comment 3 Tim Potter 2003-07-15 17:32:48 UTC
Is this still a bug?
Comment 4 Stefan Metzmacher 2003-07-15 23:06:35 UTC
Yes, it is still a bug...
Comment 5 Jelmer Vernooij 2003-08-12 21:16:18 UTC
Fixed in CVS. We create symlinks now.
Comment 6 Gerald (Jerry) Carter 2005-02-07 07:57:23 UTC
originally reported against 3.0aph24.  Bugzilla spring cleaning.  
Removing old alpha versions.
Comment 7 Gerald (Jerry) Carter 2005-08-24 10:17:06 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.